<template>
  <div class="showRightClickBtn">
    <div v-for="(item, index) in btnlist" :key="index" >
      <el-checkbox v-model="item.value" @change="doRight(item)">{{ item.name }}</el-checkbox>
    </div>
  </div>
</template>

<script>
import { showdataJCZ } from "../../utils/work";
export default {
  name: "showcheak",
  data() {
    return {
      btnlist: [
        {
          name: "场强范围",
          value: false,
        },
        {
          name: "黑广播",
          value: false,
        },
        {
          name: "伪基站覆盖范围",
          value: false,
        },
      ],
    };
  },
  mounted() {},
  methods: {
    close() {
      this.showdia = false;
    },
    doRight(item) {
      if (item.name === "场强范围") {
        this.btnlist[0].value?this.$set(this.btnlist,0,{name:"场强范围",value:false}):this.$set(this.btnlist,0,{name:"场强范围",value:true})
        if (this.btnlist[0].value) {
          let lng = window.pick.id.properties.monstationLg._value;
          let lat = window.pick.id.properties.monstationLa._value;
          let height = 0;
          if (window.pick.id.properties._monstationName._value == "云海") {
            lng = 121.444697;
            lat = 31.21385;
            height = 105;
          }
          if (window.FieldIntensity) {
            window.FieldIntensity.deleteObject();
            window.FieldIntensity = null;
          }
          let url = "./static/json/ant.json";
          window.FieldIntensity = sgworld.Creator.FieldIntensity(url, {
            center: [lng, lat, height], // 备用中心坐标
            scale: 0.3,
          });
        } else {
          //删除事件
        }
      }

      if (item.name === "伪基站覆盖范围") {
        this.btnlist[1].value?this.$set(this.btnlist,1,{name:"伪基站覆盖范围",value:false}):this.$set(this.btnlist,1,{name:"伪基站覆盖范围",value:true})
        if (this.btnlist[1].value) {
          window.showtable = true;
          window.objform = {
            analysisType: "伪基站",
            areaResult: 10185.58366101,
            coverageThreshold: "-110",
            freqPoint: 100,
            frequency: 954,
            modelName: "",
            monFrequency: "",
            monstationGuid: "2",
            propModel: 2,
            rxAntGain: 0,
            rxAntHeight: 0,
            txAntGain: 0,
            txAntHeight: 10,
            txFrequency: "",
            txPower: 40,
          };
          window.objform.monstationGuid =
            window.pick.id.properties._monstationGuid._value;
          let arr = [window.objform];
          showdataJCZ(arr);
        } else {
          //删除事件
        }
      }

      if (item.name === "黑广播") {
         this.btnlist[2].value?this.$set(this.btnlist,2,{name:"黑广播",value:false}):this.$set(this.btnlist,2,{name:"黑广播",value:true})

        if (this.btnlist[2].value) {
          window.showtable = true;
          window.objform = {
            analysisType: "黑广播",
            areaResult: 99.83516631,
            coverageThreshold: "-110",
            freqPoint: 954,
            frequency: 100,
            modelName: "",
            monFrequency: "",
            monstationGuid: "2",
            propModel: 2,
            rxAntGain: 0,
            rxAntHeight: 0,
            txAntGain: 0,
            txAntHeight: 20,
            txFrequency: "",
            txPower: 50,
          };
          window.objform.monstationGuid =
            pick.id.properties._monstationGuid._value;
          let arr = [window.objform];
          showdataJCZ(arr);
        }else{
          //删除事件
        }
      }
    },
  },
};
</script>

<style scoped>
.showRightClickBtn > div {
  background: url(~@/assets/image/test/bjtp.png);
  background-position: center;
  background-size: 100% 100%;
  color: #fff;
  width: 150px;
  height: 40px;
  pointer-events: all;
}
.showRightClickBtn >>> .el-checkbox {
  color: #fff;
  margin: 10px;
}
</style>